Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network50.48.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
50.48.0.0
Broadcast address
50.51.255.255
First usable
50.48.0.1
Last usable
50.51.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 32300000 · Integer 842006528 to 842268671
Reverse DNS zones
48.50.in-addr.arpa
49.50.in-addr.arpa
50.50.in-addr.arpa
51.50.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110010.00110000.00000000.0000000050.48.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00110010.00110000.00000000.0000000050.48.0.0
Broadcast00110010.00110011.11111111.1111111150.51.255.255
Split into smaller subnets/25

50.48.0.0/14 makes 2,048 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
150.48.0.0/2550.48.0.1 to 50.48.0.12650.48.0.127126
250.48.0.128/2550.48.0.129 to 50.48.0.25450.48.0.255126
350.48.1.0/2550.48.1.1 to 50.48.1.12650.48.1.127126
450.48.1.128/2550.48.1.129 to 50.48.1.25450.48.1.255126
550.48.2.0/2550.48.2.1 to 50.48.2.12650.48.2.127126
650.48.2.128/2550.48.2.129 to 50.48.2.25450.48.2.255126
750.48.3.0/2550.48.3.1 to 50.48.3.12650.48.3.127126
850.48.3.128/2550.48.3.129 to 50.48.3.25450.48.3.255126
950.48.4.0/2550.48.4.1 to 50.48.4.12650.48.4.127126
1050.48.4.128/2550.48.4.129 to 50.48.4.25450.48.4.255126
1150.48.5.0/2550.48.5.1 to 50.48.5.12650.48.5.127126
1250.48.5.128/2550.48.5.129 to 50.48.5.25450.48.5.255126
1350.48.6.0/2550.48.6.1 to 50.48.6.12650.48.6.127126
1450.48.6.128/2550.48.6.129 to 50.48.6.25450.48.6.255126
1550.48.7.0/2550.48.7.1 to 50.48.7.12650.48.7.127126
1650.48.7.128/2550.48.7.129 to 50.48.7.25450.48.7.255126
1750.48.8.0/2550.48.8.1 to 50.48.8.12650.48.8.127126
1850.48.8.128/2550.48.8.129 to 50.48.8.25450.48.8.255126
1950.48.9.0/2550.48.9.1 to 50.48.9.12650.48.9.127126
2050.48.9.128/2550.48.9.129 to 50.48.9.25450.48.9.255126
2150.48.10.0/2550.48.10.1 to 50.48.10.12650.48.10.127126
2250.48.10.128/2550.48.10.129 to 50.48.10.25450.48.10.255126
2350.48.11.0/2550.48.11.1 to 50.48.11.12650.48.11.127126
2450.48.11.128/2550.48.11.129 to 50.48.11.25450.48.11.255126
2550.48.12.0/2550.48.12.1 to 50.48.12.12650.48.12.127126
2650.48.12.128/2550.48.12.129 to 50.48.12.25450.48.12.255126
2750.48.13.0/2550.48.13.1 to 50.48.13.12650.48.13.127126
2850.48.13.128/2550.48.13.129 to 50.48.13.25450.48.13.255126
2950.48.14.0/2550.48.14.1 to 50.48.14.12650.48.14.127126
3050.48.14.128/2550.48.14.129 to 50.48.14.25450.48.14.255126
3150.48.15.0/2550.48.15.1 to 50.48.15.12650.48.15.127126
3250.48.15.128/2550.48.15.129 to 50.48.15.25450.48.15.255126
3350.48.16.0/2550.48.16.1 to 50.48.16.12650.48.16.127126
3450.48.16.128/2550.48.16.129 to 50.48.16.25450.48.16.255126
3550.48.17.0/2550.48.17.1 to 50.48.17.12650.48.17.127126
3650.48.17.128/2550.48.17.129 to 50.48.17.25450.48.17.255126
3750.48.18.0/2550.48.18.1 to 50.48.18.12650.48.18.127126
3850.48.18.128/2550.48.18.129 to 50.48.18.25450.48.18.255126
3950.48.19.0/2550.48.19.1 to 50.48.19.12650.48.19.127126
4050.48.19.128/2550.48.19.129 to 50.48.19.25450.48.19.255126
4150.48.20.0/2550.48.20.1 to 50.48.20.12650.48.20.127126
4250.48.20.128/2550.48.20.129 to 50.48.20.25450.48.20.255126
4350.48.21.0/2550.48.21.1 to 50.48.21.12650.48.21.127126
4450.48.21.128/2550.48.21.129 to 50.48.21.25450.48.21.255126
4550.48.22.0/2550.48.22.1 to 50.48.22.12650.48.22.127126
4650.48.22.128/2550.48.22.129 to 50.48.22.25450.48.22.255126
4750.48.23.0/2550.48.23.1 to 50.48.23.12650.48.23.127126
4850.48.23.128/2550.48.23.129 to 50.48.23.25450.48.23.255126
4950.48.24.0/2550.48.24.1 to 50.48.24.12650.48.24.127126
5050.48.24.128/2550.48.24.129 to 50.48.24.25450.48.24.255126
5150.48.25.0/2550.48.25.1 to 50.48.25.12650.48.25.127126
5250.48.25.128/2550.48.25.129 to 50.48.25.25450.48.25.255126
5350.48.26.0/2550.48.26.1 to 50.48.26.12650.48.26.127126
5450.48.26.128/2550.48.26.129 to 50.48.26.25450.48.26.255126
5550.48.27.0/2550.48.27.1 to 50.48.27.12650.48.27.127126
5650.48.27.128/2550.48.27.129 to 50.48.27.25450.48.27.255126
5750.48.28.0/2550.48.28.1 to 50.48.28.12650.48.28.127126
5850.48.28.128/2550.48.28.129 to 50.48.28.25450.48.28.255126
5950.48.29.0/2550.48.29.1 to 50.48.29.12650.48.29.127126
6050.48.29.128/2550.48.29.129 to 50.48.29.25450.48.29.255126
6150.48.30.0/2550.48.30.1 to 50.48.30.12650.48.30.127126
6250.48.30.128/2550.48.30.129 to 50.48.30.25450.48.30.255126
6350.48.31.0/2550.48.31.1 to 50.48.31.12650.48.31.127126
6450.48.31.128/2550.48.31.129 to 50.48.31.25450.48.31.255126
6550.48.32.0/2550.48.32.1 to 50.48.32.12650.48.32.127126
6650.48.32.128/2550.48.32.129 to 50.48.32.25450.48.32.255126
6750.48.33.0/2550.48.33.1 to 50.48.33.12650.48.33.127126
6850.48.33.128/2550.48.33.129 to 50.48.33.25450.48.33.255126
6950.48.34.0/2550.48.34.1 to 50.48.34.12650.48.34.127126
7050.48.34.128/2550.48.34.129 to 50.48.34.25450.48.34.255126
7150.48.35.0/2550.48.35.1 to 50.48.35.12650.48.35.127126
7250.48.35.128/2550.48.35.129 to 50.48.35.25450.48.35.255126
7350.48.36.0/2550.48.36.1 to 50.48.36.12650.48.36.127126
7450.48.36.128/2550.48.36.129 to 50.48.36.25450.48.36.255126
7550.48.37.0/2550.48.37.1 to 50.48.37.12650.48.37.127126
7650.48.37.128/2550.48.37.129 to 50.48.37.25450.48.37.255126
7750.48.38.0/2550.48.38.1 to 50.48.38.12650.48.38.127126
7850.48.38.128/2550.48.38.129 to 50.48.38.25450.48.38.255126
7950.48.39.0/2550.48.39.1 to 50.48.39.12650.48.39.127126
8050.48.39.128/2550.48.39.129 to 50.48.39.25450.48.39.255126
8150.48.40.0/2550.48.40.1 to 50.48.40.12650.48.40.127126
8250.48.40.128/2550.48.40.129 to 50.48.40.25450.48.40.255126
8350.48.41.0/2550.48.41.1 to 50.48.41.12650.48.41.127126
8450.48.41.128/2550.48.41.129 to 50.48.41.25450.48.41.255126
8550.48.42.0/2550.48.42.1 to 50.48.42.12650.48.42.127126
8650.48.42.128/2550.48.42.129 to 50.48.42.25450.48.42.255126
8750.48.43.0/2550.48.43.1 to 50.48.43.12650.48.43.127126
8850.48.43.128/2550.48.43.129 to 50.48.43.25450.48.43.255126
8950.48.44.0/2550.48.44.1 to 50.48.44.12650.48.44.127126
9050.48.44.128/2550.48.44.129 to 50.48.44.25450.48.44.255126
9150.48.45.0/2550.48.45.1 to 50.48.45.12650.48.45.127126
9250.48.45.128/2550.48.45.129 to 50.48.45.25450.48.45.255126
9350.48.46.0/2550.48.46.1 to 50.48.46.12650.48.46.127126
9450.48.46.128/2550.48.46.129 to 50.48.46.25450.48.46.255126
9550.48.47.0/2550.48.47.1 to 50.48.47.12650.48.47.127126
9650.48.47.128/2550.48.47.129 to 50.48.47.25450.48.47.255126
9750.48.48.0/2550.48.48.1 to 50.48.48.12650.48.48.127126
9850.48.48.128/2550.48.48.129 to 50.48.48.25450.48.48.255126
9950.48.49.0/2550.48.49.1 to 50.48.49.12650.48.49.127126
10050.48.49.128/2550.48.49.129 to 50.48.49.25450.48.49.255126
10150.48.50.0/2550.48.50.1 to 50.48.50.12650.48.50.127126
10250.48.50.128/2550.48.50.129 to 50.48.50.25450.48.50.255126
10350.48.51.0/2550.48.51.1 to 50.48.51.12650.48.51.127126
10450.48.51.128/2550.48.51.129 to 50.48.51.25450.48.51.255126
10550.48.52.0/2550.48.52.1 to 50.48.52.12650.48.52.127126
10650.48.52.128/2550.48.52.129 to 50.48.52.25450.48.52.255126
10750.48.53.0/2550.48.53.1 to 50.48.53.12650.48.53.127126
10850.48.53.128/2550.48.53.129 to 50.48.53.25450.48.53.255126
10950.48.54.0/2550.48.54.1 to 50.48.54.12650.48.54.127126
11050.48.54.128/2550.48.54.129 to 50.48.54.25450.48.54.255126
11150.48.55.0/2550.48.55.1 to 50.48.55.12650.48.55.127126
11250.48.55.128/2550.48.55.129 to 50.48.55.25450.48.55.255126
11350.48.56.0/2550.48.56.1 to 50.48.56.12650.48.56.127126
11450.48.56.128/2550.48.56.129 to 50.48.56.25450.48.56.255126
11550.48.57.0/2550.48.57.1 to 50.48.57.12650.48.57.127126
11650.48.57.128/2550.48.57.129 to 50.48.57.25450.48.57.255126
11750.48.58.0/2550.48.58.1 to 50.48.58.12650.48.58.127126
11850.48.58.128/2550.48.58.129 to 50.48.58.25450.48.58.255126
11950.48.59.0/2550.48.59.1 to 50.48.59.12650.48.59.127126
12050.48.59.128/2550.48.59.129 to 50.48.59.25450.48.59.255126
12150.48.60.0/2550.48.60.1 to 50.48.60.12650.48.60.127126
12250.48.60.128/2550.48.60.129 to 50.48.60.25450.48.60.255126
12350.48.61.0/2550.48.61.1 to 50.48.61.12650.48.61.127126
12450.48.61.128/2550.48.61.129 to 50.48.61.25450.48.61.255126
12550.48.62.0/2550.48.62.1 to 50.48.62.12650.48.62.127126
12650.48.62.128/2550.48.62.129 to 50.48.62.25450.48.62.255126
12750.48.63.0/2550.48.63.1 to 50.48.63.12650.48.63.127126
12850.48.63.128/2550.48.63.129 to 50.48.63.25450.48.63.255126
12950.48.64.0/2550.48.64.1 to 50.48.64.12650.48.64.127126
13050.48.64.128/2550.48.64.129 to 50.48.64.25450.48.64.255126
13150.48.65.0/2550.48.65.1 to 50.48.65.12650.48.65.127126
13250.48.65.128/2550.48.65.129 to 50.48.65.25450.48.65.255126
13350.48.66.0/2550.48.66.1 to 50.48.66.12650.48.66.127126
13450.48.66.128/2550.48.66.129 to 50.48.66.25450.48.66.255126
13550.48.67.0/2550.48.67.1 to 50.48.67.12650.48.67.127126
13650.48.67.128/2550.48.67.129 to 50.48.67.25450.48.67.255126
13750.48.68.0/2550.48.68.1 to 50.48.68.12650.48.68.127126
13850.48.68.128/2550.48.68.129 to 50.48.68.25450.48.68.255126
13950.48.69.0/2550.48.69.1 to 50.48.69.12650.48.69.127126
14050.48.69.128/2550.48.69.129 to 50.48.69.25450.48.69.255126
14150.48.70.0/2550.48.70.1 to 50.48.70.12650.48.70.127126
14250.48.70.128/2550.48.70.129 to 50.48.70.25450.48.70.255126
14350.48.71.0/2550.48.71.1 to 50.48.71.12650.48.71.127126
14450.48.71.128/2550.48.71.129 to 50.48.71.25450.48.71.255126
14550.48.72.0/2550.48.72.1 to 50.48.72.12650.48.72.127126
14650.48.72.128/2550.48.72.129 to 50.48.72.25450.48.72.255126
14750.48.73.0/2550.48.73.1 to 50.48.73.12650.48.73.127126
14850.48.73.128/2550.48.73.129 to 50.48.73.25450.48.73.255126
14950.48.74.0/2550.48.74.1 to 50.48.74.12650.48.74.127126
15050.48.74.128/2550.48.74.129 to 50.48.74.25450.48.74.255126
15150.48.75.0/2550.48.75.1 to 50.48.75.12650.48.75.127126
15250.48.75.128/2550.48.75.129 to 50.48.75.25450.48.75.255126
15350.48.76.0/2550.48.76.1 to 50.48.76.12650.48.76.127126
15450.48.76.128/2550.48.76.129 to 50.48.76.25450.48.76.255126
15550.48.77.0/2550.48.77.1 to 50.48.77.12650.48.77.127126
15650.48.77.128/2550.48.77.129 to 50.48.77.25450.48.77.255126
15750.48.78.0/2550.48.78.1 to 50.48.78.12650.48.78.127126
15850.48.78.128/2550.48.78.129 to 50.48.78.25450.48.78.255126
15950.48.79.0/2550.48.79.1 to 50.48.79.12650.48.79.127126
16050.48.79.128/2550.48.79.129 to 50.48.79.25450.48.79.255126
16150.48.80.0/2550.48.80.1 to 50.48.80.12650.48.80.127126
16250.48.80.128/2550.48.80.129 to 50.48.80.25450.48.80.255126
16350.48.81.0/2550.48.81.1 to 50.48.81.12650.48.81.127126
16450.48.81.128/2550.48.81.129 to 50.48.81.25450.48.81.255126
16550.48.82.0/2550.48.82.1 to 50.48.82.12650.48.82.127126
16650.48.82.128/2550.48.82.129 to 50.48.82.25450.48.82.255126
16750.48.83.0/2550.48.83.1 to 50.48.83.12650.48.83.127126
16850.48.83.128/2550.48.83.129 to 50.48.83.25450.48.83.255126
16950.48.84.0/2550.48.84.1 to 50.48.84.12650.48.84.127126
17050.48.84.128/2550.48.84.129 to 50.48.84.25450.48.84.255126
17150.48.85.0/2550.48.85.1 to 50.48.85.12650.48.85.127126
17250.48.85.128/2550.48.85.129 to 50.48.85.25450.48.85.255126
17350.48.86.0/2550.48.86.1 to 50.48.86.12650.48.86.127126
17450.48.86.128/2550.48.86.129 to 50.48.86.25450.48.86.255126
17550.48.87.0/2550.48.87.1 to 50.48.87.12650.48.87.127126
17650.48.87.128/2550.48.87.129 to 50.48.87.25450.48.87.255126
17750.48.88.0/2550.48.88.1 to 50.48.88.12650.48.88.127126
17850.48.88.128/2550.48.88.129 to 50.48.88.25450.48.88.255126
17950.48.89.0/2550.48.89.1 to 50.48.89.12650.48.89.127126
18050.48.89.128/2550.48.89.129 to 50.48.89.25450.48.89.255126
18150.48.90.0/2550.48.90.1 to 50.48.90.12650.48.90.127126
18250.48.90.128/2550.48.90.129 to 50.48.90.25450.48.90.255126
18350.48.91.0/2550.48.91.1 to 50.48.91.12650.48.91.127126
18450.48.91.128/2550.48.91.129 to 50.48.91.25450.48.91.255126
18550.48.92.0/2550.48.92.1 to 50.48.92.12650.48.92.127126
18650.48.92.128/2550.48.92.129 to 50.48.92.25450.48.92.255126
18750.48.93.0/2550.48.93.1 to 50.48.93.12650.48.93.127126
18850.48.93.128/2550.48.93.129 to 50.48.93.25450.48.93.255126
18950.48.94.0/2550.48.94.1 to 50.48.94.12650.48.94.127126
19050.48.94.128/2550.48.94.129 to 50.48.94.25450.48.94.255126
19150.48.95.0/2550.48.95.1 to 50.48.95.12650.48.95.127126
19250.48.95.128/2550.48.95.129 to 50.48.95.25450.48.95.255126
19350.48.96.0/2550.48.96.1 to 50.48.96.12650.48.96.127126
19450.48.96.128/2550.48.96.129 to 50.48.96.25450.48.96.255126
19550.48.97.0/2550.48.97.1 to 50.48.97.12650.48.97.127126
19650.48.97.128/2550.48.97.129 to 50.48.97.25450.48.97.255126
19750.48.98.0/2550.48.98.1 to 50.48.98.12650.48.98.127126
19850.48.98.128/2550.48.98.129 to 50.48.98.25450.48.98.255126
19950.48.99.0/2550.48.99.1 to 50.48.99.12650.48.99.127126
20050.48.99.128/2550.48.99.129 to 50.48.99.25450.48.99.255126
20150.48.100.0/2550.48.100.1 to 50.48.100.12650.48.100.127126
20250.48.100.128/2550.48.100.129 to 50.48.100.25450.48.100.255126
20350.48.101.0/2550.48.101.1 to 50.48.101.12650.48.101.127126
20450.48.101.128/2550.48.101.129 to 50.48.101.25450.48.101.255126
20550.48.102.0/2550.48.102.1 to 50.48.102.12650.48.102.127126
20650.48.102.128/2550.48.102.129 to 50.48.102.25450.48.102.255126
20750.48.103.0/2550.48.103.1 to 50.48.103.12650.48.103.127126
20850.48.103.128/2550.48.103.129 to 50.48.103.25450.48.103.255126
20950.48.104.0/2550.48.104.1 to 50.48.104.12650.48.104.127126
21050.48.104.128/2550.48.104.129 to 50.48.104.25450.48.104.255126
21150.48.105.0/2550.48.105.1 to 50.48.105.12650.48.105.127126
21250.48.105.128/2550.48.105.129 to 50.48.105.25450.48.105.255126
21350.48.106.0/2550.48.106.1 to 50.48.106.12650.48.106.127126
21450.48.106.128/2550.48.106.129 to 50.48.106.25450.48.106.255126
21550.48.107.0/2550.48.107.1 to 50.48.107.12650.48.107.127126
21650.48.107.128/2550.48.107.129 to 50.48.107.25450.48.107.255126
21750.48.108.0/2550.48.108.1 to 50.48.108.12650.48.108.127126
21850.48.108.128/2550.48.108.129 to 50.48.108.25450.48.108.255126
21950.48.109.0/2550.48.109.1 to 50.48.109.12650.48.109.127126
22050.48.109.128/2550.48.109.129 to 50.48.109.25450.48.109.255126
22150.48.110.0/2550.48.110.1 to 50.48.110.12650.48.110.127126
22250.48.110.128/2550.48.110.129 to 50.48.110.25450.48.110.255126
22350.48.111.0/2550.48.111.1 to 50.48.111.12650.48.111.127126
22450.48.111.128/2550.48.111.129 to 50.48.111.25450.48.111.255126
22550.48.112.0/2550.48.112.1 to 50.48.112.12650.48.112.127126
22650.48.112.128/2550.48.112.129 to 50.48.112.25450.48.112.255126
22750.48.113.0/2550.48.113.1 to 50.48.113.12650.48.113.127126
22850.48.113.128/2550.48.113.129 to 50.48.113.25450.48.113.255126
22950.48.114.0/2550.48.114.1 to 50.48.114.12650.48.114.127126
23050.48.114.128/2550.48.114.129 to 50.48.114.25450.48.114.255126
23150.48.115.0/2550.48.115.1 to 50.48.115.12650.48.115.127126
23250.48.115.128/2550.48.115.129 to 50.48.115.25450.48.115.255126
23350.48.116.0/2550.48.116.1 to 50.48.116.12650.48.116.127126
23450.48.116.128/2550.48.116.129 to 50.48.116.25450.48.116.255126
23550.48.117.0/2550.48.117.1 to 50.48.117.12650.48.117.127126
23650.48.117.128/2550.48.117.129 to 50.48.117.25450.48.117.255126
23750.48.118.0/2550.48.118.1 to 50.48.118.12650.48.118.127126
23850.48.118.128/2550.48.118.129 to 50.48.118.25450.48.118.255126
23950.48.119.0/2550.48.119.1 to 50.48.119.12650.48.119.127126
24050.48.119.128/2550.48.119.129 to 50.48.119.25450.48.119.255126
24150.48.120.0/2550.48.120.1 to 50.48.120.12650.48.120.127126
24250.48.120.128/2550.48.120.129 to 50.48.120.25450.48.120.255126
24350.48.121.0/2550.48.121.1 to 50.48.121.12650.48.121.127126
24450.48.121.128/2550.48.121.129 to 50.48.121.25450.48.121.255126
24550.48.122.0/2550.48.122.1 to 50.48.122.12650.48.122.127126
24650.48.122.128/2550.48.122.129 to 50.48.122.25450.48.122.255126
24750.48.123.0/2550.48.123.1 to 50.48.123.12650.48.123.127126
24850.48.123.128/2550.48.123.129 to 50.48.123.25450.48.123.255126
24950.48.124.0/2550.48.124.1 to 50.48.124.12650.48.124.127126
25050.48.124.128/2550.48.124.129 to 50.48.124.25450.48.124.255126
25150.48.125.0/2550.48.125.1 to 50.48.125.12650.48.125.127126
25250.48.125.128/2550.48.125.129 to 50.48.125.25450.48.125.255126
25350.48.126.0/2550.48.126.1 to 50.48.126.12650.48.126.127126
25450.48.126.128/2550.48.126.129 to 50.48.126.25450.48.126.255126
25550.48.127.0/2550.48.127.1 to 50.48.127.12650.48.127.127126
25650.48.127.128/2550.48.127.129 to 50.48.127.25450.48.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses